Page MenuHomePhabricator

Update "learn more" link for too much unmodified content warnings and errors
Closed, ResolvedPublic

Description

Currently, the different errors and warnings to encourage users to edit further the initial translations (T190279, T190283, T221359) include a "learn more" link that points to some temporary pages.

Now that the documentation page has been completed about this topic, the link should be updated to point to https://www.mediawiki.org/wiki/Help:Content_translation/Translating/Translation_quality

When the documentation is available in the current language, that language specific version should be open.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterUpdate help link for too much unmodified content warnings and errors

Event Timeline

Pginer-WMF triaged this task as Medium priority.Aug 2 2019, 2:12 PM
Pginer-WMF created this task.

Change 527947 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/extensions/ContentTranslation@master] Update help link for too much unmodified content warnings and errors

https://gerrit.wikimedia.org/r/527947

Change 527947 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Update help link for too much unmodified content warnings and errors

https://gerrit.wikimedia.org/r/527947

Jpita added a subscriber: Jpita.Aug 5 2019, 9:17 AM

When the documentation is available in the current language, that language specific version should be open.

@Petar.petkovic is this case also included? I just see a direct link to the english version

When the documentation is available in the current language, that language specific version should be open.

@Petar.petkovic is this case also included? I just see a direct link to the English version

The link is https://www.mediawiki.org/wiki/Special:MyLanguage/Help:Content_translation/Translating/Translation_quality. When there is Special:MyLanguage in the link, version in the selected language is opened (selected language in ULS at the top right, next to the link to you user page). If there's no translation to your selected language, English is opened.
If translated version is opened, you can see language code after the title in the URL, for example Translation_quality/pt.

If Portuguese was indeed your language and you were wondering why English is shown, that is because only 2% of the content is translated to Portuguese.

Jpita added a comment.EditedAug 5 2019, 10:43 AM

QA NOTE:
once in production, check the issue with the 98% translated paragraph, en to fr :

The film was screened in the U.S. Dramatic Competition section at the 2019 Sundance Film Festival and was theatrically released in the United States on July 12, 2019, by A24. It received positive reviews from critics, with many praising Awkwafina's performance.
Jpita closed this task as Resolved.Aug 8 2019, 9:22 PM